<?php


function project_updates_metabox_callback( $post ) {

	$project_progress = get_post_meta($post->ID, 'project_progress', true); ?>
	
	<div style="max-width:700px; margin:0 auto; max-height:700px; overflow:auto" class="content">

		<?php if($project_progress) {
		
			$project_progress = array_reverse($project_progress);
		
			echo '<ul class="project_summary_progress">';
		
			foreach($project_progress as $progress) {
			
				if(is_numeric($progress['date'])) { $date = date(get_option('cqpim_date_format') . ' H:i', $progress['date']); } else { $date = $progress['date']; }
			
				echo '<li style="margin-bottom:0">';
				
				echo '<div class="timeline-entry">';
				
				echo '<span class="timeline-by">' . $progress['by'] . '</span>';
				
				echo '<span class="timeline-date">' . $date . '</span>';  
				
				echo '<span class="timeline-update">' . $progress['update'] . '</span>';
				
				echo '</div>';
				
				echo '</li>';
			
			}
			
			echo '</ul>';
		
		} ?>

	</div>


	<?php
}