

	<!DOCTYPE html>
	<!--[if IE 7 ]><html class="ie ie7" <?php language_attributes(); ?>> <![endif]-->
	<!--[if IE 8 ]><html class="ie ie8" <?php language_attributes(); ?>> <![endif]-->
	<!--[if (gte IE 9)|!(IE)]><!--><html class="ie ie9" <?php language_attributes(); ?>> <!--<![endif]-->
	<head>
		<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<title><?php wp_title(); ?></title>   
		<?php wp_head(); ?>
	</head>
	
	<?php $bg = get_option('cqpim_dash_bg'); ?>
	
	<?php if(empty($bg)) { ?>

		<body style="background:#f6f6f6">
		
	<?php } else { ?>
	
		<body style="background:url(<?php echo $bg['cqpim_dash_bg']; ?>) center top no-repeat; background-size:cover">
	
	<?php } ?>
	
	<div id="overlay" style="display:none">
	
		<div id="spinner">
		
			<img src="<?php echo plugins_url(  ) . '/cqpim/img/loading_spinner.gif'; ?>" />
		
		</div>
	
	</div>

	<div id="content" role="main">	 
		
		<div class="cqpim-login">
		
			<?php
		
			$logo = get_option('cqpim_dash_logo'); 
			
			if($logo) { ?>
			
				

				<img style="max-width:400px; margin:20px 0; margin-bottom:30px" src="<?php echo $logo['cqpim_dash_logo']; ?>" />

			<?php } ?>
		
			<div style=" border-radius:5px; -moz-border-radius:5px" class="cqpim-project-box">
				
				<div style="padding:20px;border-radius:5px; -moz-border-radius:5px" class="content">
				
					<h3><?php echo $post->post_title; ?></h3>
					
					<?php if(empty($_GET['h'])) { ?>
				
						<?php wp_nonce_field('ajax-register-nonce', 'signonsecurity'); ?> 
					
						<input type="text" id="username" placeholder="<?php _e('Email Address', 'cqpim'); ?>" />
						
						<br /><br /><br />
						
						<a href="#" id="reset_pass" class="cqpim-dash-button right"><?php _e('Reset Password', 'cqpim'); ?></a>
						
						<?php $reset = get_option('cqpim_login_page'); 
						
						if(!empty($reset)) { ?>
						
							<a href="<?php echo get_the_permalink($reset); ?>" style="float:left" id="forgot" class="cqpim-dash-button"><?php _e('Back to Login', 'cqpim'); ?></a>
						
						<?php } ?>
					
					<?php } else { ?>
					
						<?php wp_nonce_field('ajax-register-nonce', 'signonsecurity'); ?> 
						
						<input type="hidden" id="hash" value="<?php echo $_GET['h']; ?>" />
					
						<input type="password" id="password" placeholder="<?php _e('New Password', 'cqpim'); ?>" />
						
						<br /><br />
						
						<input type="password" id="password2" placeholder="<?php _e('Repeat Password', 'cqpim'); ?>" />
						
						<br /><br /><br />
						
						<a href="#" id="reset_pass_conf" class="cqpim-dash-button right"><?php _e('Reset Password', 'cqpim'); ?></a>
						
						<?php $reset = get_option('cqpim_login_page'); 
						
						if(!empty($reset)) { ?>
						
							<a href="<?php echo get_the_permalink($reset); ?>" style="float:left" id="forgot" class="cqpim-dash-button"><?php _e('Back to Login', 'cqpim'); ?></a>
						
						<?php } ?>					
					
					<?php } ?>
					
					<div class="clear"></div>
					
					<br />
					
					<?php include_once(ABSPATH.'wp-admin/includes/plugin.php');
					
					if(is_plugin_active('cqpim-envato/cqpim-envato.php')) {
					
						$register_page = get_option('cqpim_envato_register_page'); ?>
						
						<br />
						
						<p><?php _e('Envato Buyer? Need to Register?', 'cqpim'); ?> <a class="cqpim-link" href="<?php echo get_the_permalink($register_page); ?>"><?php _e('Register Here', 'cqpim'); ?></a></p>
						
					<?php } ?>
					
					<div id="login_messages" style="display:none"></div>
				
				</div>
			
			</div>
		
		</div>
		
	</div>

	<?php wp_footer(); ?>
	</body>
	</html>
	


