jQuery(document).ready(function() {
	
	jQuery('.masonry-grid').masonry({
	  
	  itemSelector: '.grid-item',
	  
	});
	
	jQuery('#update_support').click(function(e) {
	
		e.preventDefault();
		
		var form_data = {};
		
		var post = jQuery('#post_id').val();
		
		form_data['ticket_status_new'] = jQuery('#ticket_status_new').val();
		
		form_data['ticket_priority_new'] = jQuery('#ticket_priority_new').val();
		
		form_data['ticket_update_new'] = jQuery('#ticket_update_new').val();	
		
		var data = {
		
			'action' : 'cqpim_update_support_ticket',
			
			'post_id' : post,
			
			'data' : form_data,	
			
			'type' : 'client'
		
		}
		
		jQuery.ajax({
		
			url: support_frontend.ajaxurl,

			data: data,

			type: 'POST',

			dataType: 'json',

			beforeSend: function(){

				// show spinner

				jQuery('#overlay').show();

				// disable form elements while awaiting data

				jQuery('#update_support').prop('disabled', true);

			},

		}).always(function(response) {
		
			console.log(response);
		
		}).done(function(response){

			if(response.error == true) {
			
				jQuery('#overlay').hide();

				jQuery('#update_support').prop('disabled', false);
			
				alert(response.message);
				
				//jQuery.colorbox.resize();
				
			} else {

				//jQuery('#overlay').hide();

				jQuery('#update_support').prop('disabled', false);
				
				//jQuery(messages).html(response.message);

				location.reload();				
			
			}

		});
		
	});

});