<?php

	$client_settings = get_option('allow_client_settings');
	
	if($client_settings == 1) { ?>

			<div id="cqpim_backend_quote">
			
				<?php
				
					if($client_type == 'admin') {
											
						$client_details = get_post_meta($assigned, 'client_details', true);
						
					} else {
					
						$client_details = get_post_meta($assigned, 'client_details', true);
					
						$client_contacts = get_post_meta($assigned, 'client_contacts', true);
						
						if(empty($client_contacts)) {
						
							$client_contacts = array();
							
						}
						
						foreach($client_contacts as $key => $contact) {
						
							if($key == $user_id) {
							
								$client_details['client_telephone'] = $contact['telephone'];
								
								$client_details['client_contact'] = $contact['name'];
								
								$client_details['client_email'] = $contact['email'];
							
							}
						
						}
					
					}
				
				?>
		
				<form id="client_settings">
				
					<h4><?php _e('My Details', 'cqpim'); ?></h3>
					
					<label for="client_email"><?php _e('Email Address', 'cqpim'); ?></label>
					
					<input style="width:98%; padding:1%" type="text" id="client_email" name="client_email" value="<?php echo $user->user_email; ?>" required />
					
					<label for="client_phone"><?php _e('Telephone', 'cqpim'); ?></label>
					
					<input style="width:98%; padding:1%" type="text" id="client_phone" name="client_phone" value="<?php echo isset($client_details['client_telephone']) ? $client_details['client_telephone'] : ''; ?>" required />
					
					<label for="client_email"><?php _e('Display Name', 'cqpim'); ?></label>
					
					<input style="width:98%; padding:1%" type="text" id="client_name" name="client_name" value="<?php echo $user->display_name; ?>" required />
					
					<h4 style="margin-top:20px"><?php _e('Company Details', 'cqpim'); ?></h3>
					
					<label for="company_name"><?php _e('Company Name', 'cqpim'); ?></label>
					
					<input style="width:98%; padding:1%" type="text" id="company_name" name="company_name" value="<?php echo isset($client_details['client_company']) ? $client_details['client_company'] : ''; ?>" required />
					
					<label for="company_address"><?php _e('Company Address', 'cqpim'); ?></label>
					
					<textarea style="width:98%; padding:1%; height:100px" id="company_address" name="company_address" required ><?php echo isset($client_details['client_address']) ? $client_details['client_address'] : ''; ?></textarea>

					<label for="company_postcode"><?php _e('Company Postcode', 'cqpim'); ?></label>
					
					<input style="width:98%; padding:1%" type="text" id="company_postcode" name="company_postcode" value="<?php echo isset($client_details['client_postcode']) ? $client_details['client_postcode'] : ''; ?>" required />							
					
					<h4 style="margin-top:20px"><?php _e('Change Password', 'cqpim'); ?></h3>
					
					<label for="client_pass"><?php _e('New Password', 'cqpim'); ?></label>
					
					<input style="width:98%; padding:1%" type="password" id="client_pass" name="client_pass" value="" />
					
					<label for="client_pass_rep"><?php _e('Repeat New Password', 'cqpim'); ?></label>
					
					<input style="width:98%; padding:1%" type="password" id="client_pass_rep" name="client_pass_rep" value=""  />
					
					<br />
					
					<input style="width:100%" type="hidden" id="client_type" name="client_type" value="<?php echo $client_type; ?>" />
					
					<input style="width:100%" type="hidden" id="client_object" name="client_object" value="<?php echo $assigned; ?>" />
					
					<input style="width:100%" type="hidden" id="client_user_id" name="client_user_id" value="<?php echo $user->ID; ?>" />
					
					<br />
					
					<input style="float:left; margin-left:0" type="submit" id="client_settings_submit" class="metabox-add-button" value="<?php _e('Update Settings', 'cqpim'); ?>" />
				
					<div class="clear"></div>
					
					<div id="settings_spinner" style="clear:both; display:none; background:url(<?php echo plugins_url(); ?>/cqpim/css/img/ajax-loader.gif) center center no-repeat; width:16px; height:16px; padding:10px 0 0 5px; margin-top:15px"></div>
					
					<div class="clear"></div>
					
					<br />
					
					<div id="settings_messages"></div>
					
				</form>
			
			</div>
		
		<?php } ?>	