	<div id="ticket_container" class="content">
	
		<?php 
		
		$user = wp_get_current_user();
		
		$status = isset($_SESSION['ticket_status']) ? $_SESSION['ticket_status'] : array('open','hold');
		
		$args = array(
		
			'post_type' => 'cqpim_support',
			
			'posts_per_page' => -1,
			
			'post_status' => 'private',
			
			'author__in' => $client_ids_untouched,
			
			'meta_key' => 'ticket_status',
			
			'meta_value' => $status
		
		); 
		
		$tickets = get_posts($args);
		
		$total_tickets = count($tickets);
		
		if($tickets) {
		
			echo '<table class="milestones files dataTable-CST">';
			
			echo '<thead><tr><th>' . __('ID', 'cqpim') . '</th><th>' . __('Ticket Title', 'cqpim') . '</th><th>' . __('Priority', 'cqpim') . '</th><th>' . __('Created', 'cqpim') . '</th><th>' . __('Last Updated', 'cqpim') . '</th><th>' . __('Status', 'cqpim') . '</th></tr></thead>';
			
			echo '<tbody>';
		
			foreach($tickets as $ticket) {
			
				$ticket_status = get_post_meta($ticket->ID, 'ticket_status', true);
				
				if($ticket_status == 'open') {
				
					$tstatus = '<span class="low_priority">' . __('Open', 'cqpim') . '</span>';
				
				} else if($ticket_status == 'resolved') {
				
					$tstatus = '<span class="task_complete">' . __('Resolved', 'cqpim') . '</span>';
				
				} else if($ticket_status == 'hold') {
				
					$tstatus = '<span class="high_priority">' . __('On Hold', 'cqpim') . '</span>';
				
				}
				
				$ticket_priority = get_post_meta($ticket->ID, 'ticket_priority', true);
				
				$ticket_updated = get_post_meta($ticket->ID, 'last_updated', true);
				
				if(is_numeric($ticket_updated)) { $ticket_updated = date(get_option('cqpim_date_format') . ' H:i', $ticket_updated); } else { $ticket_updated = $ticket_updated; }
				
				if($ticket_priority == 'low') {
				
					$priority = '<span class="low_priority">' . __('Low', 'cqpim') . '</span>';
				
				} else if($ticket_priority == 'normal') {
				
					$priority = '<span class="normal_priority">' . __('Normal', 'cqpim') . '</span>';
				
				} else if($ticket_priority == 'high') {
				
					$priority = '<span class="high_priority">' . __('High', 'cqpim') . '</span>';
				
				} else if($ticket_priority == 'immediate') {
				
					$priority = '<span class="immediate_priority">' . __('Immediate', 'cqpim') . '</span>';
				
				}
			
				echo '<tr>';
				
				echo '<td><span class="nodesktop"><strong>' . __('Ticket ID', 'cqpim') . '</strong>: </span> ' . $ticket->ID . '</td>';
			
				echo '<td><span class="nodesktop"><strong>' . __('Title', 'cqpim') . '</strong>: </span> <a class="cqpim-link" href="' . get_the_permalink($ticket->ID) . '">' . $ticket->post_title . '</a></td>';
				
				echo '<td><span class="nodesktop"><strong>' . __('Priority', 'cqpim') . '</strong>: </span> ' . $priority . '</td>';
				
				echo '<td><span class="nodesktop"><strong>' . __('Created', 'cqpim') . '</strong>: </span> ' . get_the_date(get_option('cqpim_date_format') . ' H:i', $ticket->ID) . '</td>';
				
				echo '<td><span class="nodesktop"><strong>' . __('Updated', 'cqpim') . '</strong>: </span> ' . $ticket_updated . '</td>';
				
				echo '<td><span class="nodesktop"><strong>' . __('Status', 'cqpim') . '</strong>: </span> ' . $tstatus . '</td>';
				
				echo '</tr>';
			
			}
			
			echo '</tbody>';
			
			echo '</table>';
		
		} else {
		
			if(is_array($status)) {
		
				echo '<p style="padding:20px">' . __('No open support tickets found...', 'cqpim') . '</p>';
				
			} else if($status == 'resolved') {
			
				echo '<p style="padding:20px">' . __('No resolved support tickets found...', 'cqpim') . '</p>';
				
			}
		
		}
		
		echo '<br /><br />';
		
		if($status == 'resolved') { ?>
		
		<a id="switch_to_resolved" class="cqpim-dash-button medium"><?php _e('View Open Tickets', 'cqpim'); ?> <div id="support_loader_2" class="ajax_loader" style="display:none"></div></a>
	
		<?php } else { ?>
		
		<a id="switch_to_resolved" class="cqpim-dash-button medium"><?php _e('View Resolved Tickets', 'cqpim'); ?> <div id="support_loader_2" class="ajax_loader" style="display:none"></div></a>
		
		<?php } ?>
		
		<a href="<?php echo get_the_permalink($client_dash) . '?page=add-support-ticket'; ?>" class="cqpim-dash-button medium right"><?php _e('Add Support Ticket', 'cqpim'); ?></a>
		
		<div class="clear"></div>
	
	</div>