	<!DOCTYPE html>
	<!--[if IE 7 ]><html class="ie ie7" <?php language_attributes(); ?>> <![endif]-->
	<!--[if IE 8 ]><html class="ie ie8" <?php language_attributes(); ?>> <![endif]-->
	<!--[if (gte IE 9)|!(IE)]><!--><html  class="ie ie9" <?php language_attributes(); ?>> <!--<![endif]-->
	<head>
		<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<title><?php wp_title(); ?></title>   
		<?php wp_head(); ?>
		<?php echo '<style>' . get_option('cqpim_dash_css') . '</style>'; ?>
	</head>

	<body style="background:#fff; min-height:700px;">	
	
	<div id="overlay" style="display:none">
	
		<div id="spinner">
		
			<img src="<?php echo plugins_url(  ) . '/cqpim/img/loading_spinner.gif'; ?>" />
		
		</div>
	
	</div>
	
	<div id="cqpim_dashboard_container">
	
	<div id="cqpim-dash-menu-back">
	
	
	
	</div>

	<div id="cqpim-dash-menu">
	
		<?php
	
		$logo = get_option('cqpim_dash_logo'); 
		
		if($logo) { ?>
		
			<div style="width:90%; padding:5% 5% 0">
			
				<img style="max-width:100%" src="<?php echo $logo['cqpim_dash_logo']; ?>" />			
			
			</div>

		<?php } ?>
	
		<ul class="cqpim-dash-actions">
		
			<?php $client_dash = get_option('cqpim_client_page'); ?>
		
			<li class="dash"><a title="<?php _e('Back to Dashboard', 'cqpim'); ?>" href="<?php echo get_the_permalink($client_dash); ?>"><img src="<?php echo plugin_dir_url( __FILE__ ) . 'img/dash.png'; ?>" alt="Back to Dashboard" /></a></li>

			<?php
			
			$client_settings = get_option('allow_client_settings');
			
			if($client_settings == 1) { ?>
			
			<li class="settings"><a title="<?php _e('Settings', 'cqpim'); ?>" href="<?php echo get_the_permalink($client_dash) . '?page=settings'; ?>"><img src="<?php echo plugin_dir_url( __FILE__ ) . 'img/settings.png'; ?>" alt="Settings" /></a></li>

			<?php } 
			
			$client_settings = get_option('allow_client_users');
			
			if($client_settings == 1) { ?>
			
			<li class="contacts"><a title="<?php _e('Contacts', 'cqpim'); ?>" href="<?php echo get_the_permalink($client_dash) . '?page=contacts'; ?>"><img src="<?php echo plugin_dir_url( __FILE__ ) . 'img/user.png'; ?>" alt="Contacts" /></a></li>
			
			<?php } ?>
			
			<li class="logout"><a title="<?php _e('Log Out', 'cqpim'); ?>" href="<?php echo wp_logout_url($login_url); ?>"><img src="<?php echo plugin_dir_url( __FILE__ ) . 'img/logout.png'; ?>" alt="Log Out" /></a></li>
		
		</ul>
	
		<ul class="cqpim-dash-main-menu">
		
			<?php $client_dash = get_option('cqpim_client_page'); ?>
			
			<li>&nbsp;</li>
			
			<li style="padding:10px"><strong><?php _e('MENU', 'cqpim'); ?></strong></li>
			
			<li><a href="<?php echo get_the_permalink($client_dash); ?>"><?php _e('Dashboard', 'cqpim'); ?></a></li>
			
			<!--<li><a href="<?php echo get_the_permalink($client_dash) . '?page=messages'; ?>"><?php _e('Messages', 'cqpim'); ?></a></li>-->
			
			<?php if(get_option('enable_quotes') == 1) { ?>
		
			<li><a href="<?php echo get_the_permalink($client_dash) . '?page=quotes'; ?>"><?php _e('Quotes / Estimates', 'cqpim'); ?></a></li>
			
			<?php } ?>
			
			<li><a href="<?php echo get_the_permalink($client_dash) . '?page=projects'; ?>"><?php _e('Projects', 'cqpim'); ?></a></li>
			
			<li><a href="<?php echo get_the_permalink($client_dash) . '?page=support'; ?>"><?php _e('Support Tickets', 'cqpim'); ?></a></li>
			
			<?php if(get_option('disable_invoices') != 1) { ?>
			
			<li><a href="<?php echo get_the_permalink($client_dash) . '?page=invoices'; ?>"><?php _e('Invoices', 'cqpim'); ?></a></li>
			
			<?php } ?>
			
			<?php if(!empty($quote_form) && get_option('enable_quotes') == 1) { ?>
			
				<li><a href="<?php echo get_the_permalink($client_dash) . '?page=quote_form'; ?>"><?php _e('Request a Quote', 'cqpim'); ?></a></li>
			
			<?php } ?>		
			
			<?php
			
			include_once(ABSPATH.'wp-admin/includes/plugin.php');
		
			if(is_plugin_active('cqpim-envato/cqpim-envato.php')) {				
			
			?>

				<li>&nbsp;</li>
				
				<li style="padding:10px"><strong><?php _e('ENVATO', 'cqpim'); ?></strong></li>	

				<li><a href="<?php echo get_the_permalink($client_dash) . '?page=add-envato-purchase'; ?>"><?php _e('My Items', 'cqpim'); ?></a></li>
			
			<?php } ?>			
			
			<?php if($post->post_type == 'cqpim_project' || !empty($ppid)) { 
			
			if(!empty($ppid)) { ?>
			
				<li>&nbsp;</li>
				
				<li style="padding:10px"><strong><?php _e('PROJECT MENU', 'cqpim'); ?></strong></li>
				
				<?php $checked = get_option('enable_project_contracts'); 
				
				if(!empty($checked)) { ?>
				
					<li><a href="<?php echo get_the_permalink($ppid) . '/?page=contract'; ?>"><?php _e('View Contract', 'cqpim'); ?></a></li>
					
				<?php } ?>
		
				<li><a href="<?php echo get_the_permalink($ppid) . '/?page=summary&sub=updates'; ?>"><?php _e('Updates & Progress', 'cqpim'); ?></a></li>
				
				<li><a href="<?php echo get_the_permalink($ppid) . '/?page=summary&sub=milestones'; ?>"><?php _e('Milestones & Tasks', 'cqpim'); ?></a></li>
				
				<li><a href="<?php echo get_the_permalink($ppid) . '/?page=summary&sub=messages'; ?>"><?php _e('Messages', 'cqpim'); ?></a></li>
				
				<li><a href="<?php echo get_the_permalink($ppid) . '/?page=summary&sub=files'; ?>"><?php _e('Files', 'cqpim'); ?></a></li>
				
				<?php if(get_option('disable_invoices') != 1) { ?>
				
				<li><a href="<?php echo get_the_permalink($ppid) . '/?page=summary&sub=invoices'; ?>"><?php _e('Costs & Invoices', 'cqpim'); ?></a></li>
				
				<?php } else { ?>
				
				<li><a href="<?php echo get_the_permalink($ppid) . '/?page=summary&sub=invoices'; ?>"><?php _e('Costs', 'cqpim'); ?></a></li>	

				<?php } ?>
			
			<?php } else { ?>
			
				<li>&nbsp;</li>
				
				<li style="padding:10px"><strong><?php _e('PROJECT MENU', 'cqpim'); ?></strong></li>
				
				<?php $checked = get_option('enable_project_contracts'); 
				
				if(!empty($checked)) { ?>
				
					<li><a href="<?php echo get_the_permalink($post->ID) . '/?page=contract'; ?>"><?php _e('View Contract', 'cqpim'); ?></a></li>
					
				<?php } ?>
		
				<li><a href="<?php echo get_the_permalink($post->ID) . '/?page=summary&sub=updates'; ?>"><?php _e('Updates & Progress', 'cqpim'); ?></a></li>
				
				<li><a href="<?php echo get_the_permalink($post->ID) . '/?page=summary&sub=milestones'; ?>"><?php _e('Milestones & Tasks', 'cqpim'); ?></a></li>
				
				<li><a href="<?php echo get_the_permalink($post->ID) . '/?page=summary&sub=messages'; ?>"><?php _e('Messages', 'cqpim'); ?></a></li>
				
				<li><a href="<?php echo get_the_permalink($post->ID) . '/?page=summary&sub=files'; ?>"><?php _e('Files', 'cqpim'); ?></a></li>
				
				<?php if(get_option('disable_invoices') != 1) { ?>
				
				<li><a href="<?php echo get_the_permalink($post->ID) . '/?page=summary&sub=invoices'; ?>"><?php _e('Costs & Invoices', 'cqpim'); ?></a></li>
				
				<?php } else { ?>
				
				<li><a href="<?php echo get_the_permalink($post->ID) . '/?page=summary&sub=invoices'; ?>"><?php _e('Costs', 'cqpim'); ?></a></li>
				
				<?php } ?>
			
			<?php } ?>	

			<?php } ?>
			
		</ul>
	
	</div>
	


	<div class="cqpim-client-dash" role="main">	
	
		<div class="cqpim-dash-header">
		
			<img style="float:left; margin-right:10px" src="<?php echo $grav_url; ?>" />

			<h1><?php printf(__('Welcome back, %1$s', 'cqpim'), $user->display_name); ?><br /><span style="font-weight:700; font-size:12px; line-height:14px; padding:4px 8px" class="task_complete"><?php echo $email; ?></span> <span style="margin-left:10px;font-weight:700; font-size:12px; line-height:14px; padding:4px 8px" class="task_complete"><?php echo isset($client_details['client_company']) ? $client_details['client_company'] : ''; ?> <?php if($client_type == 'admin') { echo '&nbsp;&nbsp;(Main Contact)'; } ?></span></h1>
		
			<div class="clear"></div>

		</div>